Skip to main content
PATCH
/
client
/
equipment
/
{equipmentId}
Update an equipment
curl --request PATCH \
  --url https://sandbox-remote-api.rayda.co/api/v2/client/equipment/{equipmentId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data @- <<EOF
{
  "title": "MacBook Pro 14",
  "description": "Apple MacBook Pro 14' with M1 Pro Chip, 16GB RAM, 512GB SSD, Space Gray",
  "make": "Apple",
  "model": "Model Pro",
  "type": "Laptop/Workstation",
  "state": "Brand_New",
  "assignee": "9f22cdbf-37d5-4e1c-b4dd-288771c62c63",
  "currency_id": "USD",
  "other_details": "['15.6 Inches','Core i5','16GB RAM','512GB SSD','New']",
  "year": "2022",
  "purchase_date": "2023-06-04T00:00:00.000Z",
  "purchase_price": "2500000.00",
  "serial_number": "S3E3F-R4ETG",
  "country": "NG",
  "specs": "storage:512GB SSD, memory:18GB, color:Black"
}
EOF
{
  "success": true,
  "message": "Record updated successfully",
  "data": {
    "id": "9f354120-c510-4a5a-abc3-47317eb83570",
    "title": "MacBook Pro 14",
    "year": "2022",
    "assignee": {
      "id": "9f22cdbf-37d5-4e1c-b4dd-288771c62c63",
      "name": "Adrienne Littel",
      "email": "[email protected]",
      "job_title": null,
      "department": "Tools",
      "level": null,
      "country": "Greece",
      "country_code": "GR",
      "address": "236 W 4th Avenue Apt. 124 Erynland NV GR",
      "employment_type": null,
      "phone": 15046337109
    },
    "make": "Apple",
    "model": "Model Pro",
    "state": "Used",
    "source": "External",
    "purchase_date": "2023-06-04T13:59:07.000Z",
    "purchase_price": "2500000.00",
    "type": "Laptop/Workstation",
    "hash_code": null,
    "asset_order_id": null,
    "catalog": null,
    "currency": {
      "id": "b3a54450-7895-4986-95a4-af7cc4f3cdfa",
      "name": "United States Dollar",
      "code": "USD",
      "symbol": "$",
      "status": "Active",
      "created_at": "2024-10-10T13:06:17.000Z",
      "updated_at": "2024-10-10T13:06:17.000Z"
    },
    "device_setup": null,
    "image_url": null,
    "serial_number": "S3ER3F-R4ETG",
    "other_details": "['15.6 Inches','Core i5','16GB RAM','512GB SSD','New']",
    "specs": {
      "storage": "512GB",
      "memory": "18GB",
      "color": "Black"
    },
    "description": "Apple MacBook Pro 14' with M1 Pro Chip, 16GB RAM, 512GB SSD, Space Gray",
    "status": "Assigned",
    "country": "Nigeria",
    "score": 90,
    "missing_information": [
      "image_url"
    ],
    "has_missing_information": true,
    "insurance_expiring_in": null,
    "usage_duration": "2 years",
    "storage_duration": null,
    "country_code": "NG",
    "created_at": "2025-06-21T12:59:07.000Z",
    "updated_at": "2025-06-21T12:59:07.000Z",
    "documents": [],
    "history": [
      {
        "id": "9f354120-f424-4044-a174-ff616100f297",
        "event_type": "equipment_added",
        "event_date": "2025-06-21T13:59:08.000Z",
        "equipment": "MacBook Pro 14",
        "actor": "John Doe",
        "payload": null,
        "assignee": {
          "id": "9f22cdbf-37d5-4e1c-b4dd-288771c62c63",
          "name": "Adrienne Littel"
        }
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

The equipment data to add

title
string

Name of the equipment.

Example:

"MacBook Pro 14"

description
string

Detailed description of the equipment.

Example:

"Apple MacBook Pro 14' with M1 Pro Chip, 16GB RAM, 512GB SSD, Space Gray"

make
string

Manufacturer or brand of the equipment.

Example:

"Apple"

model
string

Model name or number of the equipment.

Example:

"Model Pro"

type
enum<string>

Category or classification of the equipment (Must be one of the available options).

Available options:
Laptop/Workstation,
Phones,
Accessories,
Tablet
Example:

"Laptop/Workstation"

state
enum<string>

Condition of the equipment (e.g. Brand_New or Used).

Available options:
Brand_New,
Used
Example:

"Brand_New"

assignee
string<uuid>

ID of the employee to whom the equipment is assigned.

Example:

"9f22cdbf-37d5-4e1c-b4dd-288771c62c63"

currency_id
string

Currency id or code used for the purchase price (e.g. USD, '9f22cdbf-37d5-4e1c-b4dd-288771c233d3').

Example:

"USD"

other_details
string

Additional specifications or details as a stringified list.

Example:

"['15.6 Inches','Core i5','16GB RAM','512GB SSD','New']"

year
string

Manufacturing year of the equipment.

Example:

"2022"

purchase_date
string<date>

Date the equipment was purchased.

Example:

"2023-06-04T00:00:00.000Z"

purchase_price
string

Cost of the equipment at purchase.

Example:

"2500000.00"

serial_number
string

Unique serial number of the equipment.

Example:

"S3E3F-R4ETG"

country
string

Country name/id/code where the equipment is located.

Example:

"NG"

specs
string

Key technical specifications in a string format. (Should be provided in the format "key:value", and comma separated for multiple specs).

Example:

"storage:512GB SSD, memory:18GB, color:Black"

Response

Record updated successfully

success
boolean
Example:

true

message
string
Example:

"Record updated successfully"

data
object